Loading...
Searching...
No Matches
Compare.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Utilities/DataType.h>`

Go to the source code of this file.

## Classes

struct | casacore::Compare_global_functions_ObjCompareFunc
| More...
class | casacore::BaseCompare
| abstract base class for comparing two objects More...
class | casacore::ObjCompare< T >
| compare two objects More...
class | casacore::CompareIntervalInt< T >
| Integer comparison class with intervals. More...
class | casacore::CompareIntervalReal< T >
| Real comparison class with intervals. More...
class | casacore::CompareNoCase
| Case-insensitive string comparison class. More...
class | casacore::CompareAlwaysTrue
| Comparison class that is always true. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines